Bug 1128783 - Minor logging usability improvements, very low risk.
Summary: Minor logging usability improvements, very low risk.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: 3.2
: ---
Assignee: Alan Conway
QA Contact: Otavio Piske
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:28 UTC by Alan Conway
Modified: 2015-10-08 13:09 UTC (History)
4 users (show)

Fixed In Version: qpid-cpp-0.32-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 13:09:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1879 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 3.2 Release 2015-10-08 17:07:53 UTC

Description Alan Conway 2014-08-11 14:28:51 UTC
Description of problem:

Recent commits included on the 0.22-mrg branch introduced some extra "noise" in the notice-level logging - messages that are not useful to the user at that level. This commit cleans up. 0 risk, usability improvement. No log messages are dropped but several are demoted to "info"

Additional info:


------------------------------------------------------------------------
r1617293 | aconway | 2014-08-11 16:23:01 +0200 (Mon, 11 Aug 2014) | 6 lines

NO-JIRA: Clean up excessive "notice" level log messages, add start-up/shut-down messages.

- Demote excessive "notice" level log messages to "info"
- Provide clear notice "start-up/shut-down" messages at start and end of broker log.
- Log broker PID in start-up/shut-down messages.

------------------------------------------------------------------------

Comment 2 Alan Conway 2015-04-27 16:18:27 UTC
Details below. All the messages demoted from "notice" to "info" are about  normal events that occur every time the broker is started or shuts down, therefore they are not really "notice"-worthy. These messages are still available on "info" level where they are more appropriate.

17a382f NO-JIRA: Clean up excessive "notice" level log messages, add start-up/shut-down messages.

+++ b/qpid/cpp/src/qpid/broker/Broker.cpp
@@ -393 +399 @@ Broker::Broker(const BrokerOptions& conf) :
-    QPID_LOG(notice, logPrefix << " initialized");
+    QPID_LOG(info, logPrefix << "initialized");
@@ -505 +511 @@ void Broker::run() {
-        QPID_LOG(notice, logPrefix << " running");
+        QPID_LOG(info, logPrefix << "running");
@@ -521 +527 @@ void Broker::run() {
-        QPID_LOG(notice, logPrefix << " stopped");
+        QPID_LOG(info, logPrefix << "stopped");
@@ -535 +541 @@ Broker::~Broker() {
-    QPID_LOG(notice, logPrefix << " shutting down");
+    QPID_LOG(info, logPrefix << "shutting down");

+++ b/qpid/cpp/src/qpid/linearstore/JournalImpl.cpp
@@ -81 +81 @@ JournalImpl::JournalImpl(::qpid::sys::Timer& timer_,
-    QLS_LOG2(notice, _jid, "Created");
+    QLS_LOG2(info, _jid, "Created");
@@ -102 +102 @@ JournalImpl::~JournalImpl()
-    QLS_LOG2(notice, _jid, "Destroyed");
+    QLS_LOG2(info, _jid, "Destroyed");
@@ -139 +139 @@ JournalImpl::initialize(::qpid::linearstore::journal::EmptyFilePool* efpp_,
-//    QLS_LOG2(notice, _jid, "Initialized");
+//    QLS_LOG2(info, _jid, "Initialized");
diff --git a/qpid/cpp/src/qpid/linearstore/MessageStoreImpl.cpp b/qpid/cpp/src/qpid/linearstore/MessageStoreImpl.cpp
index b7c6672..5431862 100644

+++ b/qpid/cpp/src/qpid/linearstore/MessageStoreImpl.cpp
@@ -204 +204 @@ bool MessageStoreImpl::init(const std::string& storeDir_,
-    QLS_LOG(notice, "Store module initialized; store-dir=" << storeDir_);
+    QLS_LOG(info, "Store module initialized; store-dir=" << storeDir_);
@@ -340 +340 @@ void MessageStoreImpl::truncateInit()
-    QLS_LOG(notice, "Store directory " << getStoreTopLevelDir() << " was truncated.");
+    QLS_LOG(info, "Store directory " << getStoreTopLevelDir() << " was truncated.");

+++ b/qpid/cpp/src/qpid/linearstore/journal/EmptyFilePoolManager.cpp
@@ -94 +94 @@ void EmptyFilePoolManager::findEfpPartitions() {
-    journalLogRef_.log(JournalLog::LOG_NOTICE, "EFP Manager initialization complete");
+    journalLogRef_.log(JournalLog::LOG_INFO, "EFP Manager initialization complete");

Comment 4 Otavio Piske 2015-08-11 12:22:24 UTC
The change was successfully verified.

Comment 7 errata-xmlrpc 2015-10-08 13:09:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-1879.html


Note You need to log in before you can comment on or make changes to this bug.